Description
As the title says, running the provided curl command in the Viewing Factions section of the doc does not send the proper request to the API.
curl --request \
--url 'https://api.spacetraders.io/v2/factions'
I tried looking through the Discord and the rest of the documentation but I could not find anything talking about this error.
Expected Behavior
Executing the command should return the available factions.
Observed Behavior
I receive the following error
{"statusCode":404,"error":"Not Found","message":"undefined is not an object (evaluating 'request.context.agent')"}
Attempts to Resolve
- Tried adding an agent token to the request with
--header 'Authorization: Bearer <AGENT_TOKEN>'
- [Works] Removed
--request flag from curl command
- [Works] Added
GET parameter to curl command
Environments Tested
Proposed Solution
Consider adding the explicit GET parameter to curl commands that use it in the documentation
Description
As the title says, running the provided curl command in the Viewing Factions section of the doc does not send the proper request to the API.
curl --request \ --url 'https://api.spacetraders.io/v2/factions'I tried looking through the Discord and the rest of the documentation but I could not find anything talking about this error.
Expected Behavior
Executing the command should return the available factions.
Observed Behavior
I receive the following error
Attempts to Resolve
--header 'Authorization: Bearer <AGENT_TOKEN>'--requestflag from curl commandGETparameter to curl commandEnvironments Tested
Proposed Solution
Consider adding the explicit
GETparameter to curl commands that use it in the documentation